/*
 * Copyright (c) 2003 by the gtk2-perl team (see the file AUTHORS)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
 * Boston, MA  02111-1307  USA.
 *
 * $Header:$
 */

#ifndef _ZVT_TERM_H_
#define _ZVT_TERM_H_

#include <gtk2perl.h>
/* #include <zvt/zvtterm.h> */
#include <libzvt/libzvt.h>

/* typedefs and macros for use with the typemap */

typedef ZvtTerm ZvtTerm_noinc;

/* 
 *  
 *  Commented out For Clarity
 *  
 *  #define SvZvtTerm(sv)		(gperl_get_object (sv))
 *  #define SvZvtTerm_ornull(sv)	((sv && SvTRUE (sv)) ? SvZvtTerm (sv) : NULL) 
 * 
 */

#define newSVZvtTerm(obj) (gperl_new_object (G_OBJECT ((obj)), TRUE))
#define SvZvtTerm(sv) ((ZvtTerm*) gperl_get_object (sv))

#endif /* _ZVT_TERM_H_ */
